# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Dist-Zilla-PluginBundle-BINGOS
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_4

Summary:    BeLike::BINGOS when you build your dists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist/Zilla.pm)
BuildRequires: perl(Dist/Zilla/Plugin/ChangelogFromGit.pm)
BuildRequires: perl(Dist/Zilla/Plugin/Clean.pm)
BuildRequires: perl(Dist/Zilla/Plugin/GithubMeta.pm)
BuildRequires: perl(Dist/Zilla/Plugin/MetaJSON.pm)
BuildRequires: perl(Dist/Zilla/Plugin/PkgVersion.pm)
BuildRequires: perl(Dist/Zilla/Plugin/PodCoverageTests.pm)
BuildRequires: perl(Dist/Zilla/Plugin/PodSyntaxTests.pm)
BuildRequires: perl(Dist/Zilla/Plugin/PodWeaver.pm)
BuildRequires: perl(Dist/Zilla/Plugin/ReadmeFromPod.pm)
BuildRequires: perl(Dist/Zilla/Plugin/Test/Compile.pm)
BuildRequires: perl(Dist/Zilla/Role/PluginBundle/PluginRemover.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Moose.pm)
BuildArch:  noarch
Source44: import.info

%description
This is a the Dist::Zilla manpage PluginBundle. It is roughly equivalent to
the following dist.ini:

  [@Basic]

  [MetaJSON]
  [PodSyntaxTests]
  [PodCoverageTests]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml  README
%{perl_vendor_privlib}/*


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_4
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_3
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_2
- update by mgaimport

* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_1
- update by mgaimport

* Fri Dec 19 2014 Igor Vlasenko <viy@altlinux.ru> 0.18-alt3_4
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.18-alt3_2
- rebuild to get rid of unmets

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.18-alt2_2
- mga update

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> 0.18-alt2_1
- rebuild to get rid of unmets

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1_1
- mgaimport update

* Tue Jul 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1_1
- converted for ALT Linux by srpmconvert tools

